<?php
class cCanjeproveedor{
	
	function mostrar_documentos($pro_id,$emp_id)

	{

		$sql="SELECT cp.tb_comprapago_fecven,c.tb_compra_id, d.tb_documento_abr ,cp.tb_comprapago_mon, cp.tb_comprapago_id ,c.tb_moneda_id,d.tb_documento_nom ,cp.tb_comprapago_fecven ,c.tb_compra_fec ,c.tb_compra_numdoc
		from tb_compra c
		INNER JOIN tb_empresa emp on c.tb_empresa_id = emp.tb_empresa_id
		INNER JOIN tb_documento d on c.tb_documento_id = d.tb_documento_id 
		INNER JOIN tb_proveedor p on c.tb_proveedor_id = p.tb_proveedor_id         
		INNER JOIN tb_comprapago cp on c.tb_compra_id = cp.tb_compra_id
		WHERE c.tb_compra_xac=1
		AND cp.tb_comprapago_xac = 1
		and cp.tb_comprapago_est = 2
		 AND c.tb_proveedor_id = '$pro_id'
		 AND c.tb_empresa_id = '$emp_id'
		 group by cp.tb_comprapago_fecven,c.tb_compra_id, d.tb_documento_abr ,cp.tb_comprapago_mon,cp.tb_comprapago_id ,c.tb_moneda_id,d.tb_documento_nom ,cp.tb_comprapago_fecven ,c.tb_compra_fec ,c.tb_compra_numdoc
	 ";
	// AND c.tb_moneda_id = '$monid'

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}
function mostrar_documento_selec($pro_id,$emp_id,$compag_id)

	{

		$sql="SELECT cp.tb_comprapago_mon, c.tb_compra_tipcamcan,c.tb_compra_fec,cp.tb_comprapago_fecven, c.tb_compra_numdoc ,d.tb_documento_nom ,c.tb_compra_tot ,c.tb_compra_tipcam ,c.tb_moneda_id, c.tb_compra_id
		from tb_compra c
		INNER JOIN tb_empresa emp on c.tb_empresa_id = emp.tb_empresa_id
		INNER JOIN tb_documento d on c.tb_documento_id = d.tb_documento_id 
		INNER JOIN tb_proveedor p on c.tb_proveedor_id = p.tb_proveedor_id         
		INNER JOIN tb_comprapago cp on c.tb_compra_id = cp.tb_compra_id
		WHERE tb_compra_xac=1
		AND cp.tb_comprapago_xac = 1
		and cp.tb_comprapago_est = 2
		AND c.tb_proveedor_id = '$pro_id'
		AND c.tb_empresa_id = '$emp_id'
		";
		
		
		if($compag_id!="") $sql.=" AND cp.tb_comprapago_id = '$compag_id' ";	
		

		$sql.=" group by cp.tb_comprapago_mon,c.tb_compra_fec,cp.tb_comprapago_fecven,c.tb_compra_tipcamcan, c.tb_compra_numdoc ,d.tb_documento_nom ,c.tb_compra_tot ,c.tb_compra_tipcam ,c.tb_moneda_id, c.tb_compra_id ";


		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}
	
	
	function mostrar_documento_proveedor($pro_id,$emp_id,$compag_id,$numdoc)

	{

		$sql="SELECT c.tb_moneda_id,cp.tb_comprapago_mon,cp.tb_comprapago_fecven,cp.tb_comprapago_id, c.tb_compra_id, d.tb_documento_abr, cp.tb_comprapago_con, d.tb_documento_nom ,c.tb_compra_numdoc, p.tb_proveedor_nom ,p.tb_proveedor_doc
		from tb_compra c
		INNER JOIN tb_empresa emp on c.tb_empresa_id = emp.tb_empresa_id
		INNER JOIN tb_documento d on c.tb_documento_id = d.tb_documento_id 
		INNER JOIN tb_proveedor p on c.tb_proveedor_id = p.tb_proveedor_id         
		INNER JOIN tb_comprapago cp on c.tb_compra_id = cp.tb_compra_id
		WHERE tb_compra_xac=1
		AND cp.tb_comprapago_xac=1
		and cp.tb_comprapago_est = 2
		AND c.tb_proveedor_id = '$pro_id'
		AND c.tb_empresa_id = '$emp_id'
		";
		
		
		if($compag_id!="") $sql.=" AND cp.tb_comprapago_id = '$compag_id' ";	
		if($numdoc!="") $sql.=" AND c.tb_compra_numdoc like '%$numdoc%' ";	
		

		$sql.=" group by c.tb_moneda_id,cp.tb_comprapago_mon,cp.tb_comprapago_fecven,cp.tb_comprapago_id, c.tb_compra_id, d.tb_documento_abr, cp.tb_comprapago_con, d.tb_documento_nom ,c.tb_compra_numdoc, p.tb_proveedor_nom ,p.tb_proveedor_doc ";


		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}
	function mostrar_filtro($fec1,$fec2,$pro_id,$emp_id,$monid,$numdoc)
	{
		$sql="SELECT cap.tb_canjeproveedor_numdoc,cap.tb_canjeproveedor_est,cap.tb_canjeproveedor_fec,emp.tb_empresa_nomcom,p.tb_proveedor_nom,cap.tb_canjeproveedor_aval,cap.tb_canjeproveedor_mon,cap.tb_canjeproveedor_id
		from tb_canjeproveedor cap
		INNER JOIN tb_empresa emp on cap.tb_empresa_id = emp.tb_empresa_id
		INNER JOIN tb_proveedor p on cap.tb_proveedor_id = p.tb_proveedor_id         
		WHERE cap.tb_canjeproveedor_xac=1
		 
		";
		
		if($numdoc!=""){ 
			$sql.="AND cap.tb_canjeproveedor_numdoc like '%$numdoc%'";
		}else{
			$sql.=" and cap.tb_canjeproveedor_fec between '$fec1' and '$fec2'";
		}
		if($pro_id>0) $sql.="AND cap.tb_proveedor_id = '$pro_id'";
		if($emp_id>0) $sql.="AND cap.tb_empresa_id = '$emp_id'";
		
		$sql.="group by cap.tb_canjeproveedor_numdoc,cap.tb_canjeproveedor_est,cap.tb_canjeproveedor_fec,emp.tb_empresa_nomcom,p.tb_proveedor_nom,cap.tb_canjeproveedor_aval,cap.tb_canjeproveedor_mon,cap.tb_canjeproveedor_id";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
function mostrar_filtro_documento($canid)
	{
		$sql="SELECT *,cp.tb_comprapago_id as 'compagid' from tb_canjeproveedordocumento cad
inner join tb_comprapago cp on cp.tb_comprapago_id = cad.tb_comprapago_id
INNER JOIN tb_compra c on cp.tb_compra_id = c.tb_compra_id 
INNER JOIN tb_canjeproveedor cap on cap.tb_canjeproveedor_id = cad.tb_canjeproveedor_id 
INNER JOIN tb_proveedor p on cap.tb_proveedor_id = p.tb_proveedor_id 
INNER JOIN tb_documento d on c.tb_documento_id = d.tb_documento_id 
		WHERE cap.tb_canjeproveedor_xac=1
		 AND cad.tb_canjeproveedor_id = '$canid'
		";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
function mostrar_filtro_letra($canid)
	{
		$sql="
		SELECT * FROM tb_canjeproveedorletras cal 
		inner join tb_comprapago cp on cp.tb_comprapago_id = cal.tb_comprapago_id
		inner join tb_compra c on c.tb_compra_id = cp.tb_compra_id
		INNER JOIN tb_documento d on c.tb_documento_id = d.tb_documento_id 
		where cal.tb_canjeproveedor_id = '$canid' and c.tb_compra_xac = '1'
		";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
function mostrar_uno($can_id)
	{
		$sql="SELECT *
		from tb_canjeproveedor cap
		INNER JOIN tb_empresa emp on cap.tb_empresa_id = emp.tb_empresa_id
		INNER JOIN tb_proveedor p on cap.tb_proveedor_id = p.tb_proveedor_id         
		WHERE cap.tb_canjeproveedor_xac=1
		 AND cap.tb_canjeproveedor_id = '$can_id'
		
		";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar_comprapago($id, $est ){
		$sql = "UPDATE tb_comprapago SET  
		`tb_comprapago_est` =  '$est'
		WHERE tb_comprapago_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function ultimoInsert(){
		$sql = "select MAX(tb_canjeproveedor_id) as 'id' from tb_canjeproveedor"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
function insertar_canje($fec,$doc_id,$numdoc,$empid,$provid,$aval,$monid,$mon){
		
		$sql = "INSERT INTO tb_canjeproveedor(
		`tb_canjeproveedor_fec` ,
		`tb_documento_id` ,
		`tb_canjeproveedor_numdoc` ,
		`tb_empresa_id` ,
		`tb_proveedor_id` ,
		`tb_canjeproveedor_aval` ,
		`tb_moneda_id` ,
		`tb_canjeproveedor_mon`		
		)
		VALUES (
		'$fec','$doc_id','$numdoc', '$empid','$provid','$aval','$monid','$mon')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	function modificar_campo($id, $est ){
		$sql = "UPDATE tb_canjeproveedor SET  
		`tb_canjeproveedor_est` =  '$est'
		WHERE tb_canjeproveedor_id = '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function insertar_documento($canprovid,$compagid){
		
		$sql = "INSERT INTO tb_canjeproveedordocumento(
		`tb_canjeproveedor_id` ,
		`tb_comprapago_id`
		)
		VALUES (
		'$canprovid', '$compagid')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
function insertar_letra($canprovid,$compagid){
		
		$sql = "INSERT INTO tb_canjeproveedorletras(
		`tb_canjeproveedor_id` ,
		`tb_comprapago_id`
		)
		VALUES (
		'$canprovid', '$compagid')"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
}
?>